Bug 204347 - [NEW PORT] games/retroarch: Cross-platform entertainment system based on libretro API
Summary: [NEW PORT] games/retroarch: Cross-platform entertainment system based on libr...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Kurt Jaeger
URL:
Keywords: feature, patch, patch-ready
Depends on:
Blocks:
 
Reported: 2015-11-07 02:08 UTC by Yuri Victorovich
Modified: 2015-11-14 13:52 UTC (History)
1 user (show)

See Also:


Attachments
shar archive (7.29 KB, application/shar)
2015-11-07 02:08 UTC, Yuri Victorovich
no flags Details
shar archive (7.43 KB, text/plain)
2015-11-08 07:26 UTC, Yuri Victorovich
no flags Details
poudriere log (242.44 KB, text/plain)
2015-11-08 08:31 UTC, Yuri Victorovich
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Yuri Victorovich freebsd_committer 2015-11-07 02:08:48 UTC
Created attachment 162863 [details]
shar archive

RetroArch (also known as libretro implementation) is the lowest tier of the entertainment platform aiming to play older computer games, videos, and other multimedia content.

Many so-called cores are available for RetroArch, that are able to play games and other content. (one example is https://github.com/Themaister/Dinothawr)

RetroArch/libretro also has the vibrant and growing community of game lovers. Many, if not all those games can play on FreeBSD, even though they were originally designed for various other platforms.
Comment 1 Yuri Victorovich freebsd_committer 2015-11-08 07:26:23 UTC
Created attachment 162893 [details]
shar archive

Minor improvement.
Comment 2 Yuri Victorovich freebsd_committer 2015-11-08 08:31:04 UTC
Created attachment 162895 [details]
poudriere log
Comment 3 Yuri Victorovich freebsd_committer 2015-11-10 23:54:19 UTC
See also the core pack for RetroArch: https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=204452
Comment 4 Kubilay Kocak freebsd_committer freebsd_triage 2015-11-11 04:05:20 UTC
@Yuri, bugzilla will automatically link correctly to the appropriate issue if you use 'bug <id>' in your comments. If you could also use the the following issue fields instead of comments to denote issue relationships, it will ensure things don't get lost/missed/forgotten/committed incorrectly:

Depends On: List of issues that must be committed before this issue.
Blocks: List of issues that cannot be committed/resolved before this issue
See Also: List of issues that are related/similar but not the same as this issue

I have replaced bug 204379 with bug 204452 as the blocking issue for this one based on my current understanding, since bug 204379 was closed 'overcome by events' it cant be a blocker. If this is incorrect, please update the fields so that they reflect the relationships correctly and completely
Comment 5 Yuri Victorovich freebsd_committer 2015-11-11 04:18:37 UTC
Except they aren't blocking each other. They are related, but not set to be dependent on each other. This is why I only added a "see also", and not a dependency.

To use RetroArch people for now just need to install both ports.
Comment 6 Kubilay Kocak freebsd_committer freebsd_triage 2015-11-11 04:49:44 UTC
(In reply to yuri from comment #5)

Case in point (my misunderstanding) why it's important that issue reporters set these fields themselves. 

Bug 204452 wasn't set in See Also:, setting that now.
Comment 7 Kurt Jaeger freebsd_committer 2015-11-11 17:31:35 UTC
test-builds done on 11-amd64, 10.2a+i, 9.3a, all fine
Comment 8 Yuri Victorovich freebsd_committer 2015-11-12 00:34:14 UTC
@Kubilay Just to clarify: the reason they aren't made dependencies of each other is that RetroArch builds roughly 50 times faster compared to the core pack. Also core pack has different platform availability: it is only for 10.X+ and only for amd/i386. It "might" build on 9.X, but somebody should verify this, and I also don't see that it is important to have it run on 9.X.
Comment 9 commit-hook freebsd_committer 2015-11-14 13:51:40 UTC
A commit references this bug:

Author: pi
Date: Sat Nov 14 13:51:28 UTC 2015
New revision: 401567
URL: https://svnweb.freebsd.org/changeset/ports/401567

Log:
  New port: games/retroarch

  RetroArch is the reference frontend for the libretro API. Popular examples
  of implementations for this API includes videogame system emulators and
  game engines, but also more generalized 3D programs. These programs are
  instantiated as dynamic libraries. We refer to these as "libretro cores".

  WWW: http://github.com/libretro/RetroArch

  PR:		204347
  Submitted by:	yuri@rawbw.com

Changes:
  head/games/Makefile
  head/games/retroarch/
  head/games/retroarch/Makefile
  head/games/retroarch/distinfo
  head/games/retroarch/files/
  head/games/retroarch/files/patch-qb_config.libs.sh
  head/games/retroarch/files/patch-qb_qb.params.sh
  head/games/retroarch/files/pkg-message.in
  head/games/retroarch/pkg-descr
  head/games/retroarch/pkg-plist
Comment 10 Kurt Jaeger freebsd_committer 2015-11-14 13:52:01 UTC
Committed, thanks.